curl -X POST "https://api.usegately.com/api/v1/discussions/disc_123/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "Great idea! +1 for this feature",
"author_id": "user_456"
}'
{
"success": true,
"comment": {
"id": "comment_789",
"discussion_id": "disc_123",
"content": "Great idea! +1 for this feature",
"author_id": "user_456",
"created_at": "2024-01-15T11:00:00Z"
}
}
Discussions
Discussion Comments
Add a comment to a discussion
POST
/
api
/
v1
/
discussions
/
{id}
/
comments
curl -X POST "https://api.usegately.com/api/v1/discussions/disc_123/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "Great idea! +1 for this feature",
"author_id": "user_456"
}'
{
"success": true,
"comment": {
"id": "comment_789",
"discussion_id": "disc_123",
"content": "Great idea! +1 for this feature",
"author_id": "user_456",
"created_at": "2024-01-15T11:00:00Z"
}
}
Add a comment to an existing discussion.
Path Parameters
string
required
The discussion ID
Request Body
string
required
Content of the comment
string
required
ID of the user posting the comment
Response
boolean
Whether the comment was added
object
The created comment object
curl -X POST "https://api.usegately.com/api/v1/discussions/disc_123/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "Great idea! +1 for this feature",
"author_id": "user_456"
}'
{
"success": true,
"comment": {
"id": "comment_789",
"discussion_id": "disc_123",
"content": "Great idea! +1 for this feature",
"author_id": "user_456",
"created_at": "2024-01-15T11:00:00Z"
}
}
Was this page helpful?